#include "xfxelemvelstateinframe.h"

XFxElemVelStateInFrame::XFxElemVelStateInFrame()
    : XAsset()
    , mVelocity()
    , mTotalDelta()
{
    SetName("Element Vel State in Frame");
}

XFxElemVelStateInFrame::~XFxElemVelStateInFrame()
{
    
}

void XFxElemVelStateInFrame::Clear()
{
    mVelocity.Clear();
    mTotalDelta.Clear();
}

void XFxElemVelStateInFrame::ParseData(XDataStream *aStream)
{
    mVelocity.ParseData(aStream);
    mTotalDelta.ParseData(aStream);
}
